import { Model } from 'mongoose';
import { Injectable, Inject } from '@nestjs/common';
import { Place, PlaceDocument } from './place.schema';
import { CreatePlaceDto } from './place.dto';

@Injectable()
export class PlaceService {
  constructor(
    @Inject('PLACE_MODEL')
    private placeModel: Model<Place>,
  ) {}

  async create(createPlaceDto: CreatePlaceDto): Promise<Place> {
    const createdPlace = new this.placeModel(createPlaceDto);
    return createdPlace.save();
  }

  async findAll(): Promise<Place[]> {
    return this.placeModel.find().exec();
  }
}
